import Vue from 'vue' // 引入vue 写他的依赖名字
// 依赖
// <srcipt src>
// 全局的 
// 根组件 
import App from './App.vue' // 引入App
// import asf from "./bpp.vue"
// import 自己定义的变量名 from "要引入的路径"
Vue.config.productionTip = false
console.log(App)
import ElementUI from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';
Vue.use(ElementUI);
// new Vue
// render

import VueRouter from 'vue-router' // 引入vuerouter
Vue.use(VueRouter) // vue 使用vuerouter

import bar from './pages/bar.vue'
import foo from './pages/foo.vue'
import index from "./pages/index.vue"
// http://www.baidu.com/adsaw

// http 协议
// 127.0.0.1 ip  or 域名
// www.baidu.com 域名 服务器
// /adsaw/asdxc url 网址路径
const routes = [
  { path: '/foo', component: foo },
  { path: '/bar', component: bar },
  {
    path: '/index', component: index, children: [
      {
        path: 'foo/:name/:age', name:"foo", component: foo, children: [{
          path: 'aaa', component: bar
        }]
      },
      { path: 'bar', component: bar },
    ]
  }
]

// router 路由对象
// history model js
const router = new VueRouter({
  mode: 'history',
  routes: routes // (缩写) 相当于 routes: routes
})
// router 挂载路由 给vue实例
new Vue({
  //render 让vue 渲染 App
  render: h => h(App),
  router: router
}).$mount('#app')
